if(top==self)top.location='ex_sm_index.asp';
var count
var pagesize=30
var pagecount=0
var page=1
var statuserid=0
var stockadmin=0
var username=''
var AnalyseDiv=parent.document.getElementById("analyse")
var Chiasmashow=parent.document.getElementById("showstr")
function showanalyse()
{
	if (AnalyseDiv.style.display!='block')
	{
		AnalyseDiv.style.display="block";
		Chiasmashow.innerHTML='<a href="ex_sm_userlist.asp?action=analysediv&online=1&on=1" target="hiddenonline">关闭详细列表</a>';
	}
	else
	{
		AnalyseDiv.style.display="none";
		Chiasmashow.innerHTML='<a href="ex_sm_userlist.asp?action=analysediv&online=1&on=1" target="hiddenonline">显示详细列表</a>';
	}
}
function showlist(str)
{
	var AnalyseDaTa='<table width="100%" border="0" cellspacing="0" cellpadding="0">'
	var k=0
	str=str.split("!&%@")
	for (i=0;i<str.length-1;i++)
	{
		k++
		if (k==1)(AnalyseDaTa+='<tr>')
		{
			str[i]=str[i].split("@$#^")
			if (((statuserid)==0 && username==str[i][1])||((statuserid)==(str[i][7]) && username==''))
			{
				AnalyseDaTa+='<td width="14%" colspan="+k+"><a title="您自己" ><font color="#0000ff">'+str[i][1]+'</font></a></td>'
			}
			else
			{
				if (stockadmin==1)
				{
					if(str[i][4]==0)
					{
						AnalyseDaTa+='<td width="14%" colspan="+k+"><a title="目前位置：'+str[i][3]+'（未开户）&#13;&#10;来访时间：'+str[i][2]+'&#13;&#10;活动时间：'+str[i][5]+'&#13;&#10;ＩＰ地址：'+str[i][8]+'">'+str[i][1]+'</a></td>'
					}
					else
					{
						AnalyseDaTa+='<td width="14%" colspan="+k+"><a href="ex_sm_dispu.asp?uid='+str[i][4]+'" title="目前位置：'+str[i][3]+'&#13;&#10;来访时间：'+str[i][2]+'&#13;&#10;活动时间：'+str[i][5]+'&#13;&#10;ＩＰ地址：'+str[i][8]+'">'+str[i][1]+'</a></td>'
					}
				}
				else
				{
					if(str[i][6]==1)
					{
						AnalyseDaTa+='<td width="14%" colspan="+k+"><a title="目前位置：'+str[i][3]+'&#13;&#10;来访时间：'+str[i][2]+'&#13;&#10;活动时间：'+str[i][5]+'">隐身股民</a></td>'
					}
					else
					{
						if(str[i][4]==0)
						{
							AnalyseDaTa+='<td width="14%" colspan="+k+"><a title="目前位置：'+str[i][3]+'（未开户）&#13;&#10;来访时间：'+str[i][2]+'&#13;&#10;活动时间：'+str[i][5]+'">'+str[i][1]+'</a></td>'
						}
						else
						{
							AnalyseDaTa+='<td width="14%" colspan="+k+"><a href="ex_sm_dispu.asp?uid='+str[i][4]+'" title="目前位置：'+str[i][3]+'&#13;&#10;来访时间：'+str[i][2]+'&#13;&#10;活动时间：'+str[i][5]+'">'+str[i][1]+'</a></td>'
						}
					}
				}
			}
		}
		if(k==6)
		{
			k=0
			AnalyseDaTa+='</tr>'
		}
	}
	if (k!=0)
	{
		for(i=0;i<6-k;i++)
		{
			AnalyseDaTa+='<td width="14%" colspan="+(k+i)+"></td>'
		}
		AnalyseDaTa+='</tr>'
	}
	AnalyseDaTa+="<tr><td height=2></td></tr></table>"
	if (count>pagesize)
	{
		AnalyseDaTa+='<table width="100%" border="0" cellspacing="0" cellpadding="0">'
		AnalyseDaTa+='<tr><td>'
		AnalyseDaTa+='<table class=tableborder1 border=0 cellpadding=0 cellspacing=0 style="width:100%"><tr><td height="1"></td></tr></table>'
		AnalyseDaTa+='</tr></td>'
		AnalyseDaTa+='<tr><td align="right">共['+count+']条,每页['+pagesize+']条,共['+pagecount+']页,当前第['+page+']页。转到：'
		if (page!=1)
		{
			AnalyseDaTa+='[<a href="ex_sm_userlist.asp?action=analysediv&page=1" target="hiddenonline">首页</a>]'
		}
		if (page>2)
		{
			AnalyseDaTa+='[<a href="ex_sm_userlist.asp?action=analysediv&page='+(page-1)+'" target="hiddenonline">上一页</a>]'
		}
		if (page<(pagecount-1))
		{
			AnalyseDaTa+='[<a href="ex_sm_userlist.asp?action=analysediv&page='+(page+1)+'" target="hiddenonline">下一页</a>]'
		}
		if(page!=pagecount)
		{
			AnalyseDaTa+='[<a href="ex_sm_userlist.asp?action=analysediv&page='+pagecount+'" target="hiddenonline">尾页</a>]'
		}
		AnalyseDaTa+='&nbsp;</td></tr>'
		AnalyseDaTa+='</table>'
	}
	AnalyseDiv.innerHTML='';
	AnalyseDiv.innerHTML=AnalyseDaTa
}